VARKON Version 1.15 1997-10-24

> ## xhatch - Geometric procedure

> Creates hatching
> Description
> Hatches an area bounded by lines, arcs or curves optionally with interior holes or islands.
> Syntax
> xhatch(id, dist, angle, ref1, refn:attributes);

> REF | id;
> FLOAT | dist;
> FLOAT | angle;
> REF | ref1;
> REF | refn;

> Principal parameters

> id | - Local identity
> dist | - Distance between hatchlines
> angle | - Anticlockwise angle between hatchlines and positive X-axis
> ref1 | - Identity of first line, arc or curve in boundary

> Optional parameters

> refn | - Identity of additional entities in exterior or interior boundary

> Attributes

> PEN | - Pen or colour number
> LEVEL | - Level number
> BLANK | - Visible(0) or invisible(1)
> XFONT | - Solid(0), dashed(1) or centerline(2)
> XDASHL | - Dashlength

> Example
> xhatch(#10,2,45,#2,#5,#3,#6);
> Hatches an area bounded by #2,#5,#3 and #6 with parallel lines 2 units apart at 45 degrees of angle.
> Comments
> Referenced entities can be specified in any order of choice but must form one or more well defined boundaries where all entities in each boundary are connected in their endpoints. If more than one boundary is defined one of them must enclose all the other. Boundaries should not cross or touch each other.

VARKON Homepage | Index